POST/api/v2/crypto-virtual-accounts/transfers/{transferId}/decision

Respond to a changed the crypto on/off-ramp quote

Use approve or decline while the transfer awaits quote approval. After decline, use keep to leave funds at the crypto on/off-ramp or return to send them back to the recorded source; provider/network return costs are reported when the crypto on/off-ramp supplies them.

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
transferId (path)integer (int32)Yes

Request body

application/json

Request body fields
FieldTypeRequiredDescription
UserIdunknownNo
DecisionstringYes

Responses

200 — OK

Response 200 fields
FieldTypeRequiredDescription
IdunknownNo
StatusstringNo
BoomFiVirtualAccountIdstringNo
CryptoCurrencystringNo
CryptoAmountstringNo
ChainIdunknownNo
FiatCurrencystringNo
BoomFiOrderIdstringNo
BoomFiQuoteIdstringNo
BoomFiOrderStatusstringNo
BoomFiSettlementStatusstringNo
ToAmountstringNo
EffectiveRatestringNo
FailureMessagestringNo
SlackChannelIdstringNo
SlackThreadTsstringNo
SlackPermalinkstringNo
CompletedAtstring (date-time)No
CompletionMessagestringNo
TransferDirectionstringNo
InitialExchangeRatestringNo
InitialFeeAmountstringNo
InitialFeeCurrencystringNo
CurrentFeeAmountstringNo
CurrentFeeCurrencystringNo
RateDeviationPercentunknownNo
AutoExecutionTolerancePercentunknownNo
QuoteDecisionStatusstringNo
QuoteExpiresAtstring (date-time)No
FundsDecisionstringNo
ReturnFeeAmountstringNo
ReturnFeeCurrencystringNo
SourceTransferIdstringNo

400 — Bad Request

Response 400 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

401 — Unauthorized

Response 401 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

Example request

curl -X POST "https://{base_url}/api/v2/crypto-virtual-accounts/transfers/{transferId}/decision" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"Decision":"…"}'

This page is generated from the live OpenAPI specification and always matches the current API.